package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 推送信息配置
 * @Reference :
 * @Author : gcj
 * @CreateDate : 2020-01-06 15:58
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "WMS_PUSH_LOG")
@Api("推送日志")
public class WmsPushLog extends BaseBean{

    private static final long serialVersionUID = -1708833666516164845L;
    @Column(name = "EXE_HQL")
    @ApiParam("执行Hql")
    private String exeHql;

    @Column(name = "PUSH_TITLE")
    @ApiParam("推送标题")
    private String pushTitle;

    @Column(name = "PUSH_CONTENT")
    @ApiParam("推送内容")
    private String pushContent;

    @Column(name = "PUSH_TYPE")
    @ApiParam("推送类型")
    private String pushType;

    @Column(name = "PUSH_RESULT")
    @ApiParam("推送结果")
    private String pushResult;

}
